---
lang: en
title: 'API docs: rest.redirectroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.redirectroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RedirectRoute](./rest.redirectroute.md)

## RedirectRoute class

**Signature:**

```typescript
export declare class RedirectRoute implements RouteEntry, ResolvedRoute 
```
**Implements:** [RouteEntry](./rest.routeentry.md)<!-- -->, [ResolvedRoute](./rest.resolvedroute.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(sourcePath, targetLocation, statusCode)](./rest.redirectroute._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `RedirectRoute` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[path](./rest.redirectroute.path.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[pathParams](./rest.redirectroute.pathparams.md)


</td><td>

`readonly`


</td><td>

[PathParameterValues](./rest.pathparametervalues.md)


</td><td>


</td></tr>
<tr><td>

[schemas](./rest.redirectroute.schemas.md)


</td><td>

`readonly`


</td><td>

SchemasObject


</td><td>


</td></tr>
<tr><td>

[sourcePath](./rest.redirectroute.sourcepath.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[spec](./rest.redirectroute.spec.md)


</td><td>

`readonly`


</td><td>

OperationObject


</td><td>


</td></tr>
<tr><td>

[statusCode](./rest.redirectroute.statuscode.md)


</td><td>

`readonly`


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[targetLocation](./rest.redirectroute.targetlocation.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[verb](./rest.redirectroute.verb.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[describe()](./rest.redirectroute.describe.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[invokeHandler({ response }, args)](./rest.redirectroute.invokehandler.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[isRedirectRoute(obj)](./rest.redirectroute.isredirectroute.md)


</td><td>

`static`


</td><td>

type guard type checker for this class


</td></tr>
<tr><td>

[updateBindings(requestContext)](./rest.redirectroute.updatebindings.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


